/*****************************************************************************
 *
 *  COPYRIGHTS:
 *             This module contains code made available by Magneto Software 
 *             on an AS IS basis.  Any one receiving the module is considered 
 *             to be licensed under Magneto Software copyrights to use the 
 *             Magneto-provided source code in any way he or she deems fit, 
 *             including copying it, compiling it, modifying it, and 
 *             redistributing it, with or without modifications.  
 *
 *             A user of the module should understand that Magneto Software 
 *             cannot provide technical support for the module and will not be
 *             responsible for any consequences of use of the program.
 *
 *             Any notices, including this one, are not to be removed
 *             from the module without the prior written consent of
 *             Magneto Software.
 *
 *****************************************************************************/
// SystemInfoDemoDlg.h : header file
//
//{{AFX_INCLUDES()
#include "sksysteminfo.h"
//}}AFX_INCLUDES

#if !defined(AFX_SYSTEMINFODEMODLG_H__6B459D01_9F97_11D5_B7BA_00C0F02DFC67__INCLUDED_)
#define AFX_SYSTEMINFODEMODLG_H__6B459D01_9F97_11D5_B7BA_00C0F02DFC67__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

enum nSkInfoQuery
{
	SK_SYS_QUERY_MIN = 1,
	SK_TCP_INFO = SK_SYS_QUERY_MIN,
	SK_TCP_CONNECT_TABLE_INFO,
	SK_UDP_INFO,
	SK_UDP_CONNECT_TABLE_INFO,
	SK_ICMP_INFO,
	SK_IP_INFO,
	SK_IP_ADDRESS_TABLE_INFO,
	SK_IP_ROUTING_TABLE_INFO,
	SK_INTERFACES_TABLE_INFO,
	SK_ADDRESS_TRANSLATION_TABLE_INFO,
	SK_SYS_QUERY_MAX
};


/////////////////////////////////////////////////////////////////////////////
// CSystemInfoDemoDlg dialog

class CSystemInfoDemoDlg : public CDialog
{
// Construction
public:
	CSystemInfoDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSystemInfoDemoDlg)
	enum { IDD = IDD_SYSTEMINFODEMO_DIALOG };
	CButton	m_btStart;
	CButton	m_bTimerCheck;
	CComboBox	m_cbQuery;
	CSKSystemInfo	m_hSystemInfoCtrl;
	CString	m_strResults;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSystemInfoDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSystemInfoDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonStart();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCheckTimer();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int m_nTimer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SYSTEMINFODEMODLG_H__6B459D01_9F97_11D5_B7BA_00C0F02DFC67__INCLUDED_)
